import { useColorScheme } from "react-native";
import colors from "../constants/colors";

/**
 * @deprecated use Theme context instead
 * @param colorName 
 * @returns 
 */
export function useThemeColor(colorName: keyof typeof colors.light & keyof typeof colors.dark): string {
    console.warn("useThemeColor is depreciated. Use useTheme().colors instead")
    const theme = useColorScheme() ?? "light";
    return colors[theme][colorName];
}

export function useUpdateData() {
    
}